// Types
import { CSSType, ContentView, View, ViewBase } from '@nativescript/core';
import { TabContentItem as TabContentItemDefinition } from '.';
let TabContentItemBase = class TabContentItemBase extends ContentView {
    eachChild(callback) {
        if (this.content) {
            callback(this.content);
        }
    }
    loadView(view) {
        // Don't load items until their fragments are instantiated.
        if (this.canBeLoaded) {
            super.loadView(view);
        }
    }
};
TabContentItemBase = __decorate([
    CSSType('MDTabContentItem')
], TabContentItemBase);
export { TabContentItemBase };
//# sourceMappingURL=tab-content-item-common.js.map